v2.5.1 not working for me

  1. 6 weeks ago

    Hi Team,

    Successfully running 2.1 on our VPS but Mautic is not functioning 100% (to the point of not being usable) since upgrading to 2.5.1

    1) When clicking "New" under Contacts the wheels are spinning (I see the bar moving) but nothing actually happens. After about 10 seconds the bar stops spinning.

    Same when clicking:

    • "New Email" under Channels
    • 'New' under Segment

    2) Quick Add under Contacts brings up the form, but when pressing save it blanks out the button and does nothing.

    I haven't test everything but these 4 issues I have found so far. (I had trouble using the Upgrade button, so have had to reinstall from scratch.

    3) I have found this new eorr in the logs
    2017-02-03 15:07:17] mautic.ERROR: Deprecation: Accessing type "submit" by its string name is deprecated since version 2.8 and will be removed in 3.0. Use the fully-qualified type class name "Symfony\Component\Form\Extension\Core\Type\SubmitType" instead. - in file /home/xxxx/vendor/symfony/form/FormRegistry.php - at line 100 [] []

    Could anyone shed some light on this please?

    Many thanks!

  2. Try this first.

    @MxyzptlkFishStix Add this fix here or enter you details here under the Configuration, User/Authentication Settings.

    -image-

  3. Thanks @MxyzptlkFishStix - had already tried this, but no joy.

    2.1 is working fine on the server. What should I try next?

  4. Did you upgrade inside of Mautic or did you use upgrade.php from the command line?

  5. 5 weeks ago
    Edited 5 weeks ago by Dez

    Inside Mautic and it kept spinning for hours until I guessed it wasn't going to happen
    I then did a fresh install from scratch.

  6. @Dez Hi Team,

    Successfully running 2.1 on our VPS but Mautic is not functioning 100% (to the point of not being usable) since upgrading to 2.5.1

    1) When clicking "New" under Contacts the wheels are spinning (I see the bar moving) but nothing actually happens. After about 10 seconds the bar stops spinning.

    Same when clicking:

    • "New Email" under Channels
    • 'New' under Segment

    2) Quick Add under Contacts brings up the form, but when pressing save it blanks out the button and does nothing.

    I haven't test everything but these 4 issues I have found so far. (I had trouble using the Upgrade button, so have had to reinstall from scratch.

    3) I have found this new eorr in the logs
    2017-02-03 15:07:17] mautic.ERROR: Deprecation: Accessing type "submit" by its string name is deprecated since version 2.8 and will be removed in 3.0. Use the fully-qualified type class name "Symfony\Component\Form\Extension\Core\Type\SubmitType" instead. - in file /home/xxxx/vendor/symfony/form/FormRegistry.php - at line 100 [] []

    Could anyone shed some light on this please?

    Many thanks!

    I faced the same problem too initially when i install Mautic 2.5.1 if using FTP to install it.

    The proper way to install 2.5.1 is to use softaculous installer from Cpanel.

    That should resolve it.

  7. Thanks @bchian. Unfortunately my hosting company does not have softaculous in Control Panel. FTP install worked fine for me for v2.1.

    @MxyzptlkFishStix Any ideas how to get a working version on 2.5?

  8. Backup your database.
    Rename the Mautic directory.
    Download, extract and upload 2.5.1 to the old location.
    Copy the old /app/config/local.php file to the new /app/config directory.
    Copy any media files from the old /media/files to the new /media/files directory if you keep it inside of it's default location.
    Copy any custom themes, if you have any, from the old /themes directory to the new /themes directory.
    Login. It should prompt you for a schema update. If not, go to /update/schema and let it do any database updates.

  9. 4 weeks ago
    Edited 4 weeks ago by Dez

    Thanks @MxyzptlkFishStix.

    (1) This is the fatal error I get when trying dollowing your steps above. (I get this on two different installations on two separate sites). I've replaced my full URL with [sitename] below.

    Fatal error: Uncaught Error: Class 'Debril\RssAtomBundle\DebrilRssAtomBundle' not found in /home/[sitename]/app/AppKernel.php:156 Stack trace: #0 /home/[sitename]/vendor/symfony/http-kernel/Kernel.php(430): AppKernel->registerBundles() #1 /home/[sitename]/app/AppKernel.php(248): Symfony\Component\HttpKernel\Kernel->initializeBundles() #2 /home/[sitename]/app/AppKernel.php(110): AppKernel->boot() #3 /home/[sitename]/app/middlewares/CORSMiddleware.php(91): AppKernel->handle(Object(Symfony\Component\HttpFoundation\Request), 1, true) #4 /home/[sitename]/app/middlewares/CatchExceptionMiddleware.php(43): Mautic\Middleware\CORSMiddleware->handle(Object(Symfony\Component\HttpFoundation\Request), 1, true) #5 /home/[sitename]/app/middlewares/VersionCheckMiddleware.php(56): Mautic\Middleware\CatchExceptionMiddleware->handle(Object(Symfony\Component\HttpFoundation\Request), 1, true) #6 /home/[sitename]/vendor/stack/builder/src/Stack/Stacke in /home/[sitename]/app/AppKernel.php on line 156

    (2) Also some of the Mautic version zip downloads don't have any data in the vendor directory. Do I just use the Vendor folder from an older version or is there a separate place to download this?

    Many thanks! Determined to make this work.

  10. Edited 4 weeks ago by MxyzptlkFishStix

    I could be wrong, but it looks like you downloaded the "source" version instead of the finished product. This is the direct link to 2.5.1 .

  11. That was it @MxyzptlkFishStix - many thanks. I have 2.6.1 running now. If we find possible bugs where do we post these?

  12. Bugs are tracked on Github .
    To avoid duplicates, make sure you attempt to do a search before you open a new bug.

 

or Sign Up to reply!